Delete Content Type
curl --request DELETE \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/content-types/{id}import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/content-types/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/content-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Content Types
Delete Content Type
Delete a content type
DELETE
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
content-types
/
{id}
Delete Content Type
Path Parameters
Organization ID
Project ID
Content Type ID
Response
{
"message": "Content type successfully deleted",
"id": "ct123"
}
Deleting a content type will prevent new content from being created with this type. Existing content that uses this type will still be accessible but cannot be updated to use the deleted type.
Error Responses
Content Type Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Content type not found"
}
}
Content Type Has Content
{
"error": {
"code": "CONTENT_TYPE_HAS_CONTENT",
"message": "Cannot delete content type that has associated content. Delete all content using this type first."
}
}
Code Examples
curl -X DELETE "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/content-types/ct123" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/content-types/ct123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const result = await response.json();
console.log(result.message);
⌘I